Page MenuHomePhabricator

Change `archive` view to no longer expose `ar_flags`
Closed, ResolvedPublic

Description

The ar_flags field in the archive table is going away, so the views will need to be adjusted to no longer try to select this column. You could make it constant null or constant empty string.

Also, while it's not directly relevant to this task, I note that the field has been empty in the production databases since T184629: Run maintenance/migrateArchiveText.php on all wikis was completed. And I can't think of any use for it without ar_text, which has never been exposed, so there's that too.

Event Timeline

Anomie triaged this task as Normal priority.Mar 7 2018, 6:30 PM
Anomie created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2018, 6:30 PM
Bstorm added a subscriber: Bstorm.Mar 7 2018, 6:31 PM
bd808 moved this task from Backlog to Wiki replicas on the Data-Services board.Mar 10 2018, 11:40 PM
Bstorm added a comment.May 1 2018, 4:32 PM

This is included in this change as well: https://gerrit.wikimedia.org/r/#/c/430024/

That might be a bit heavy for such a small task, but it's there. :)

Bstorm claimed this task.May 1 2018, 4:38 PM
daniel moved this task from Inbox to Epic on the Multi-Content-Revisions board.May 7 2018, 10:42 AM
daniel moved this task from Epic to Watching on the Multi-Content-Revisions board.May 7 2018, 10:46 AM

This is done now that the initial changes for T174047 are deployed

Bstorm closed this task as Resolved.May 7 2018, 10:57 PM